> For the complete documentation index, see [llms.txt](https://docs.defguard.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defguard.net/2.1/for-developers/rest-api/core/group/get-a-group.md).

# Get a group

```json
{"openapi":"3.1.0","info":{"title":"defguard Core API","version":"2.1.0"},"tags":[{"name":"group","description":"User groups and their members."}],"security":[{"cookie":[]},{"api_token":[]}],"components":{"securitySchemes":{"cookie":{"type":"apiKey","in":"cookie","name":"defguard_session"},"api_token":{"type":"http","scheme":"bearer"}},"schemas":{"GroupInfo":{"type":"object","required":["id","name","members","vpn_locations","is_admin"],"properties":{"id":{"$ref":"#/components/schemas/i64"},"is_admin":{"type":"boolean"},"members":{"type":"array","items":{"type":"string"}},"name":{"type":"string"},"vpn_locations":{"type":"array","items":{"type":"string"}}}},"i64":{"type":"integer","format":"int64"},"ApiErrorResponse":{"type":"object","description":"Body returned with error responses.","required":["msg"],"properties":{"code":{"type":["string","null"],"description":"Machine-readable error code, returned for selected errors."},"msg":{"type":"string","description":"Human-readable error message."}}}}},"paths":{"/api/v1/group/{id}":{"get":{"tags":["group"],"summary":"Get a group","operationId":"get_group","parameters":[{"name":"id","in":"path","description":"ID of the group.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Group details.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupInfo"}}}},"401":{"description":"Session is missing or invalid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"403":{"description":"Requires admin privileges.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Group not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Unable to get group.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}}}}
```
